#
#  algebra
#                                                    by Shin-ichiro HARA
#  
#  Version 0.02 (2001.11.03)
#

require "auto-load"
#autoload :Rational, "rational"
require "rational"

module Algebra; end; include Algebra
autoload :Polynomial, "polynomial"  # class Polynomial
auto_load :Polynomial, "polynomial" # function Polyomial

autoload :MPolynomial, "m-polynomial"
auto_load :MPolynomial, "m-polynomial"

autoload :ResidueClassRing, "residue-class-ring"
auto_load :ResidueClassRing, "residue-class-ring"
auto_load :AlgebraicExtentionField, "residue-class-ring"

autoload :LocalizedRing, "localized-ring"
auto_load :LocalizedRing, "localized-ring"
auto_load :RationalFunctionField, "localized-ring"

autoload :MatrixAlgebra, "matrix-algebra"
auto_load :MatrixAlgebra, "matrix-algebra"
auto_load :SquareMatrix, "matrix-algebra"
auto_load :Vector, "matrix-algebra"
auto_load :Covector, "matrix-algebra"

auto_load :MinimalDecompositionField, "algebraic-equation"
auto_load :MinimalPolynomial, "algebraic-equation"

